var Favorites = {
	items: new Array(),
	isVisible: false,
	kolPages: 1,
	xmlHTTPFav : null,
};



Favorites.getFavURL = function(sURL) {
	$.ajax({
		url: sURL,
		async: true, // только true, иначе не будут работать кросдоменные запросы на F серии
		dataType: 'html',
		beforeSend: function() {
			//URLtoXML.blockEnter = true;
			Main.showLoading();
		},	
		success: function(sOut) {
			//alert (sOut);
			try {
				var arr = sOut.split('<div class="b-poster-thin__wrapper">');
				for (var i in arr) {
					myRe = new RegExp("\<a href=\"(.*)\" class=\"b-poster-thin.*\'(.*)\'.*\n.*<span>(.*)<\/span>","ig");
					if (fav = myRe.exec(arr[i])){
						var obj = new Object();
						//alert (fav[2]+' '+fav[3]);
						obj.url = Main.prefixURL +fav[1];
						obj.img = fav[2];
						obj.name = fav[3];
						obj.div	= '<div class="fav_clas"></div>';
						//alert (Favorites.items.length+'url ' +obj.url+' img '+obj.img+' name '+obj.name);
						Favorites.items[Favorites.items.length] = obj;
					}
				}
			} catch(e) {
				alert(e);
			}
			Favorites.showItems();			
			Main.hideLoading();
		}
	});
};



Favorites.open = function() {
	Favorites.readAll();
	Main.clearBlocks();
	Main.page = 0;
	Main.setResSimple();
	//Display.help_line_4();
	this.isVisible = true;
	widgetAPI.putInnerHTML(document.getElementById("janr"), 'Избранное');
	if (Main.isLogin){
		Favorites.getFavURL('http://brb.to/myfavourites.aspx?page=favorites');
	} else {
		Favorites.showItems();
	}
};

Favorites.addLine = function() {
	var obj = new Object();
		
	obj.url = URLtoXML.UrlSt[Main.index];
	obj.name = URLtoXML.sName[Main.index];
	obj.img = URLtoXML.ImgDickr[Main.index];
//	obj.descr = URLtoXML.pDes[Main.index];
	
	var isAdd = true;
	for(var i=0; i<this.items.length && isAdd; i++)
		if (this.items[i].url==obj.url)
			isAdd = false;

	if (isAdd) this.items[this.items.length] = obj;
};

Favorites.writeAll = function() {
	var fileSystemObj = new FileSystem();
	if (!fileSystemObj.isValidCommonPath(curWidget.id)) fileSystemObj.createCommonDir(curWidget.id);
    var fileObj = fileSystemObj.openCommonFile(curWidget.id+'/fs_fav.data','w');
    if (fileObj)
    {
        var str = JSON.stringify(this.items);
		fileObj.writeAll(str);
        fileSystemObj.closeCommonFile(fileObj);
    }
};

Favorites.readAll = function() {	
	var fileSystemObj = new FileSystem();
	var fileObj = fileSystemObj.openCommonFile(curWidget.id+'/fs_fav.data','r');
	if (fileObj){
		var strResult = fileObj.readAll();
		if (strResult)
			this.items = JSON.parse(strResult);
		fileSystemObj.closeCommonFile(fileObj);
	}
	kolPages = Math.round(this.items/15);
};

Favorites.showItems = function() {
	if (this.items.length>0)
		for (var i=Main.page*15; i<this.items.length && i<(Main.page+1)*14+1; i++){
			//alert ('url ' +this.items[i].url+' img '+this.items[i].img+' name '+this.items[i].name);
			if (this.items[i].descr){ delete this.items[i].descr; }
			this.items[i].url = this.items[i].url.replace("?ajax&folder=0","");
			
			URLtoXML.ImgDickr[i+1-Main.page*15] = this.items[i].img;
			URLtoXML.UrlSt[i+1-Main.page*15] = this.items[i].url;
			URLtoXML.sName[i+1-Main.page*15] = this.items[i].name;
			if (!this.items[i].div) {this.items[i].div ='';}
			URLtoXML.pDes[i+1-Main.page*15] = '';
			
			if (URLtoXML.sName[Main.index]){
				widgetAPI.putInnerHTML(document.getElementById("title"), URLtoXML.sName[Main.index]);
			}else{
				widgetAPI.putInnerHTML(document.getElementById("title"), '');
			}
			//alert ("<img class='blockImage blockImagefav' id='imgst" + (i+1-Main.page*15) +  "';  src='" + URLtoXML.ImgDickr[i+1-Main.page*15] + "' />"+this.items[i].div);
			widgetAPI.putInnerHTML(document.getElementById("bloc" + (i+1-Main.page*15)), "<img class='blockImage blockImagefav' id='imgst" + (i+1-Main.page*15) +  "';  src='" + URLtoXML.ImgDickr[i+1-Main.page*15] + "' />"+this.items[i].div);
			if (document.getElementById("imgst" + Main.index)) {
				//document.getElementById("imgst" + Main.index).style.borderColor = "#3399FF"; // активная строка
				document.getElementById("imgst" + Main.index).style.borderColor = "#FF6600"; // активная строка
			}
		}
};

Favorites.add  = function(){
	Favorites.readAll();
	Favorites.addLine();
	Favorites.writeAll();
	Display.statusLine("Добавленно в избранное");
};

Favorites.del = function(){
	Favorites.readAll();
	Favorites.delLine();
	Favorites.writeAll();
	Main.clearBlocks();
	if (Main.isLogin){
		Favorites.getFavURL('http://brb.to/myfavourites.aspx?page=favorites');
	} else {
		Favorites.showItems();
	}
	Display.statusLine("Удалено из избранного");
};

Favorites.delLine = function(){
/*	for(var i=0; i<this.items.length; i++)
		if (this.items[i].url==URLtoXML.UrlSt[]){
			this.items.splice(i, 1);
			break;
		}
*/
	this.items.splice(Main.index+Main.page*15-1, 1);
	if (this.items.length<=(Main.page*15) && Main.page>0) Main.page--;
};

Favorites.changePage = function() {
	var idx = Main.index;
	Main.clearBlocks();
	Main.index = idx;
	Favorites.showItems();
	if (this.items.length>(Main.page*15)){
		return 1;
	}else{
		if (Main.page>0) Main.page--;
		Favorites.showItems();
		return 0;
	}
};
