var URLtoXML = {
	outTXT : "",// строка, куда соберем список
	fMode : true, // режим обмена данными (асинхронный=true синхронный=false)
	
	edit_fold : false,
	userId : "",
	editId : "",  // ID материала в редактировании
	
	nStart : 0, // начальный символ поиска в ответе нужных данных

	xmlHTTP : null,
	xmlHTTPWebVer : null,
	xmlHTTPDescr : null,

	sName : new Array(), // имя файла
	UrlSt : new Array(), // адрес
	edit_id : new Array(),
	ImgDickr : new Array(), // картинка
	pName : new Array(),
	pDes : new Array(),
	qDes : new Array(),
	
	folders: new Array(),

	pUrlSt : new Array(),
	WpUrlSt : new Array(),

	arrVideoExt : ["avi", "asf", "asx", "3gp","3g2", "3gp2", "3gpp", "flv", "mp4", "mp4v", "m4v", "m2v","m2ts", "m2t", "mp2v", "mov", "mpg", "mpe", "mpeg", "mkv","swf", "mts", "wm", "wmx", "wmv", "vob", "iso", "f4v", "ts", "flac", "mp3", "dts", "ac3", "divx"],
   
	//двумерный массив строк, которые нужно заменить в тексте - первый вариант на второй
	arrReplWordsDesc : [["h1>", "b>"], ["</*p>","<br>"], ["\\s*<br>\\s*<br>", "<br>"], ["</*p>","</*p>"]],
	arrReplWordsFrwd : [["&", "&amp;"], ["<", "&lt;"], [">", "&gt;"], ["'", "&apos;"], ["\"", "&quot;"]],
	//массив строк-масок регулярных выражений, подлежащих удалению из текста
	arrDelWords : ["<\\s*a[^<^>]*>", "<\\s*/\\s*a\\s*>", "<\\s*/*\\s*span[^>]*>", "<\\s*/*\\s*div[^>]*>", "<\\s*/*\\s*img[^>]*>", "<\\s*/*\\s*strong[^>]*>"],
	prefixTAG : "<a href='",
	endedTAG : "'>",
    mpHttpResponseParser : null,
	selectedCatalog : '',
	blockEnter : false,
};

URLtoXML.deinit = function () {
	if (this.xmlHTTP ) {
		this.xmlHTTP.abort();
	}
};

URLtoXML.SetHtmlParser = function(pHtmlParser){
	URLtoXML.mpHttpResponseParser = pHtmlParser;
};

// обработка ссылки
URLtoXML.Proceed = function(sURL) {
	this.outTXT = "";// очищаем строку-приемник конечного плейлиста
	if (this.xmlHTTP == null) {// инициализируем связь с интернетом
		Main.showLoading();
		alert ('sURL '+sURL);
		this.xmlHTTP = new XMLHttpRequest();

		this.xmlHTTP.url = sURL;

		// отсылаем пустой запрос и ловим страницу в строку
		this.xmlHTTP.open("GET", sURL, this.fMode); // ?асинхронно

		this.xmlHTTP.onreadystatechange = function() {
			if (URLtoXML.xmlHTTP.readyState == 4) {
				if(URLtoXML.mpHttpResponseParser != null){
					URLtoXML.mpHttpResponseParser();
					URLtoXML.mpHttpResponseParser = null;
					if(!URLtoXML.blockEnter){
						Main.hideLoading();
					}
				}
				else{		
					URLtoXML.outTXT = URLtoXML.ParseXMLData(); // генерим конечный плейлист на основании полученных данных
					if(!URLtoXML.blockEnter){
						Main.hideLoading();
					}
				}
			}
		};

		this.xmlHTTP.setRequestHeader("User-Agent","Opera/9.80 (Windows NT 5.1; U; ru) Presto/2.9.168 Version/11.51");
		this.xmlHTTP.send();
	}
	this.getPageDescr();
};

URLtoXML.getWebVerURL = function(sURL) {
	var webUrl; 
	
	if (this.xmlHTTPWebVer == null) {// инициализируем связь с интернетом
		Main.showLoading();
		this.xmlHTTPWebVer = new XMLHttpRequest();

		// отсылаем пустой запрос и ловим страницу в строку
		this.xmlHTTPWebVer.open("GET", sURL, false); // Важно!!! синхронно

		this.xmlHTTPWebVer.onreadystatechange = function() {
			if (URLtoXML.xmlHTTPWebVer && URLtoXML.xmlHTTPWebVer.readyState == 4) {
				if(!URLtoXML.blockEnter){
					Main.hideLoading();
				}
				webUrl = URLtoXML.ParseWebVerPageData();
			}
		};

//		this.xmlHTTPWebVer.setRequestHeader("User-Agent","Opera/9.80 (Windows NT 5.1; U; ru) Presto/2.9.168 Version/11.51");
		this.xmlHTTPWebVer.send();
	}
	this.getPageDescr();
	
	return webUrl;
};

URLtoXML.ParseWebVerPageData = function() {
	var sOut;
	
	if (URLtoXML.xmlHTTPWebVer.status == 200){
		sOut = URLtoXML.xmlHTTPWebVer.responseText;
		
		var myRe = new RegExp(".*download_url\: \'(.*)\'\,.*","igm");
		//var myRe = new RegExp("is_first\: 1\,[\\s\\S]{2,60}file_series: '(.*)'[\\s\\S]{2,60}download_url\: \'(.*)\'\,.*","igm");
		//var myRe = new RegExp("url: '(.*)',\n.*\n.*\n.*\n.*isFirstToShow: true","igm");
		if (descr = myRe.exec(sOut)){
			//alert('WW----------------------------------');
			//alert(descr[0]);
			//alert(descr[1]);
			
			//if(descr[1] != undefined && descr[1]!='') {
				URLtoXML.xmlHTTPWebVer = null;
				return Main.prefixURL + descr[1];
			//} else {
			//	Display.statusLine("Нету упрощенной версии.");
			//}
		}
	}
};

URLtoXML.getEditVerURL = function(sURL, obj) {
	$.ajax({
		url: sURL,
		async: true, // только true, иначе не будут работать кросдоменные запросы на F серии
		dataType: 'html',
		beforeSend: function() {
			URLtoXML.blockEnter = true;
			URLtoXML.edit_fold = true;
			Main.showLoading();
		},
		success: function(sOut) {
			try {
				var myRe = new RegExp("<form action=\"/materials/edit/i(.*)[?]u=(.*)\" method=\"post\"","igm");
				if (match = myRe.exec(sOut)){
					if (Main.isLogin && Main.MATERIALL == 1){
						URLtoXML.userId = match[2];
						URLtoXML.editId = match[1];
						var url = Main.prefixURL + '/jsfilemanager.aspx?f=folder_list&item_id=' + URLtoXML.editId + '&id=false&u=' + URLtoXML.userId;
						obj.names[obj.names.length] = 'FTP файлы';
						obj.urls[obj.urls.length] = url;
						if(!$('#str'+obj.names.length).length) { // исключаем дубликаты папки FTP файлы
							$("#list2").append('<div id="str'+obj.names.length+'"><div class="link-subtype m-x">'+obj.names[obj.names.length-1]+'</div></div>');
						}
					}
				}
			} catch(e) {
				alert(e);
			}
			
			alert('getEditVerURL '+url);
		},
		complete: function(xhr) {
			if (obj.urls.length>0){
				URLtoXML.folders[URLtoXML.folders.length] = obj;
			}else{
				Main.playlist = 2;
				Info.load();
			}
						
			URLtoXML.blockEnter = false;
			URLtoXML.edit_fold = false;
			Main.hideLoading();
			Main.handleActiv();
		}
	});
};

URLtoXML.getPageDescr = function() {
	if (this.pDes[Main.index]=='' && Main.playlist==1){
		Main.showLoading(1);
		
		this.xmlHTTPDescr = null;
		this.xmlHTTPDescr = new XMLHttpRequest();
		
		this.xmlHTTPDescr.open("GET", this.UrlSt[Main.index], true); // ?асинхронно

		this.xmlHTTPDescr.onreadystatechange = function() {
			if (URLtoXML.xmlHTTPDescr && URLtoXML.xmlHTTPDescr.readyState == 4) {
				URLtoXML.ParsePageDesctData(); // генерим конечный плейлист на основании полученных данных
				Main.hideLoading(1);
			}
		};
		this.xmlHTTPDescr.setRequestHeader("User-Agent","Opera/9.80 (Windows NT 5.1; U; ru) Presto/2.9.168 Version/11.51");
		this.xmlHTTPDescr.send();
	}
};

URLtoXML.ParsePageDesctData = function() {
	var sOut;
	if (this.xmlHTTPDescr.status == 200){
		sOut = this.xmlHTTPDescr.responseText;
		
//		alert('----------------------------------');
		var descr;
		sOut = sOut.substr(0,200000);
		var myRe = new RegExp("\<div class=\"item-info\"\>[\\s\\S]*(\<table\>[\\s\\S]*\<\/table\>)[\\s\\S]*(\<div class=\"b-tab-item__vote-value m-tab-item__vote-value_type_yes\"\>\\d+\<\/div\>)[\\s\\S]*(\<div class=\"b-tab-item__vote-value m-tab-item__vote-value_type_no\"\>\\d+\<\/div\>)[\\s\\S]*\<p( class=\"item-decription \\w+\")?\>([\\s\\S]*)\<\/p\>[\\s\\S]*\<div class=\"b-scroll-to\"\>","igm");
		if (descr = myRe.exec(sOut)){
//			descr[1] = descr[1].replace("&nbsp;"," ");
			descr[5] = descr[5].replace(new RegExp("([\\s\\S]*)\<\/p\>([\\s\\S]*)",'igm'),"$1");
			
			this.pDes[Main.index]  = '<div class="votes">'+descr[2]+descr[3]+'</div>'+descr[1];
			
			// Описание
			if(Main.arr_hardware_char.indexOf(Main.hardware_char)>-1){
				// Поскольку на старых тв тег marquee не поддерживается, вставляем просто span
				this.pDes[Main.index] += '<span class="marquee">'+descr[5]+'</span>';
			}else{
				this.pDes[Main.index] += '<marquee direction="up" scrollamount="1">'+descr[5]+'</marquee>';
			}
			
			this.pDes[Main.index]  = this.pDes[Main.index].replace("&nbsp;"," ");
			
			widgetAPI.putInnerHTML(document.getElementById("description"),
				"<img align='left' src='"
					+ this.ImgDickr[Main.index] + "'/>"
					+ this.pDes[Main.index]);
			
/*			alert(descr[1]);
			alert('----------------------------------');
			alert(descr[3]);
*/
		}
//		alert('----------------------------------');
	}
};

// из полученного ответа вытаскиваем нужные данные
URLtoXML.ParseXMLData = function() {
	var sOut;
	var index = 0; // индекс масcива

	if (this.xmlHTTP.status == 200)// если ответ от сервера корректный
	{
		sOut = this.xmlHTTP.responseText;
		var myRe;

		if (Main.playlist == 0) {
			if (Main.search){
				var arr = sOut.split('<td class="num">');
				
				for (var i in arr) {
					myRe = new RegExp("\<a href=\"(.*)\" class=\"title\"\>(.*)\<\/a\>","ig");
					if (name = myRe.exec(arr[i])){
						index++;
						this.UrlSt[index] = Main.prefixURL + name[1] + '?ajax&folder=0';
						this.sName[index] = name[2];

						myRe = new RegExp("\<a href=\".*\" title=\".*\"\>\<img src=\"(.*)\/5\/(.*)\" border=\"0\"\>\<\/a\>","ig");
						if (img = myRe.exec(arr[i])){
							this.ImgDickr[index] = img[1]+'/6/'+img[2];
						}else{
							this.ImgDickr[index] = '';
						}

						arr[i] = arr[i].replace(new RegExp("\<br\\s?\/\>(\\s*)?\\r?\\n?","igm"), '<br/>');
						myRe = new RegExp("\<p class=\"text\"\>((.|\\n)*)\<\/p\>\\n","igm");
						if (desc = myRe.exec(arr[i])){
							desc[1] = URLtoXML.DelWords(desc[1]);
							desc[1] = URLtoXML.DelTrash(desc[1]);
							
							this.pDes[index] = desc[1];
						}else{
							this.pDes[index] = '';
						}
						
						
						widgetAPI.putInnerHTML(document.getElementById("title"), this.sName[Main.index]);
						widgetAPI.putInnerHTML(document.getElementById("bloc" + index), "<img class='blockImage' id='imgst" + index +  "';  src='" + this.ImgDickr[index] + "' />");
						document.getElementById("imgst" + Main.index).style.borderColor = "#FF6600"; // активная строка

					}else{
						this.UrlSt[index] = '';
						this.sName[index] = '';
						this.pDes[index] = '';
						widgetAPI.putInnerHTML(document.getElementById("bloc" + index), "");
					}
				}
			} else {
				var $sOut = $($.parseHTML(sOut));
				
				$sOut.find('div.b-poster-tile').each(function(){
					index++;
					if($(this).find('.b-poster-tile__link').attr('href')){
						if(index <= 15){
							URLtoXML.UrlSt[index] = Main.prefixURL + $(this).find('.b-poster-tile__link').attr('href');
							URLtoXML.edit_id[index] = $(this).find('.b-poster-tile__link').attr('href');
							URLtoXML.ImgDickr[index] = $(this).find('.b-poster-tile__image img').attr('src');
							//URLtoXML.sName[index] = $(this).find('.b-poster-tile__title-full').html();
							URLtoXML.sName[index] = $(this).find('.b-poster-tile__title-full').html() + $(this).find('.b-poster-tile__title-info-items').html().replace("●"," ");
							URLtoXML.pDes[index] = '';
							
							if($(this).find('.b-poster-tile__title-info-qualities').html()){
								quality = $(this).find('.b-poster-tile__title-info-qualities').html();
							} else {
								quality = '';
							}
							
							$("#title").html(URLtoXML.sName[Main.index]);
							$("#bloc" + index).html("<img class='blockImage' id='imgst" + index +  "' src='" + URLtoXML.ImgDickr[index] + "'/><b class='b-poster-info'>"+quality+"</b>");
							$("#imgst" + Main.index).css('border-color','#FF6600'); // активная строка
						}
					} else {
						URLtoXML.UrlSt[index] = '';
						URLtoXML.sName[index] = '';
						URLtoXML.pDes[index] = '';
						$("#bloc" + index).html("");
					}
				});
			
			
				// var arr = sOut.split('<div class="b-poster-section ');
				// for (var i in arr) {
					// myRe = new RegExp("\<a class=\"subject-link\" href=\"(.+)\" title=\".+\"\>","igm");
					// if (url = myRe.exec(arr[i])){
						// index++;
						// this.UrlSt[index] = Main.prefixURL + url[1];
						// this.edit_id[index] = url[1];
						// myRe = new RegExp("\<img src=\"(.*)\" alt=\'(.*)\'\/\>","igm");
						// if (img = myRe.exec(arr[i])){
							// this.ImgDickr[index] = img[1];
						// }
						
						// myRe = new RegExp("\<b class=\"b-poster-info\"\>\\n\\s*((.|\\n)*)\\n\\s+\<b class=\"num \"(.|\\n)*\<\/b\>\\n\\s*\<span\>","igm");
						// quality = '';
						// if (qual = myRe.exec(arr[i])){
							// quality = '<b class="b-poster-info">'+qual[1]+'</b>';
						// }
						
						// myRe = new RegExp("\<b class=\"subject-link m-full\"\>\\n.*\\n\\s*\<span\>(.*)\<p\>(.*)\<\/p\>\<p\>(.*)\<\/p\>\<\/span\>\\n\\s*\<\/b\>","igm");
						// if (name = myRe.exec(arr[i])){
							// this.sName[index] = name[1]+' '+name[3];
						// }else{
							// myRe = new RegExp("\<b class=\"subject-link m-full\"\>\\n.*\\n\\s*\<span\>(.*)\<p\>(.*)\<\/p\>\<\/span\>\\n\\s*\<\/b\>","igm");
							// if (name = myRe.exec(arr[i])){
								// this.sName[index] = name[1]+' '+name[2];
							// }
						// }
						
						// this.pDes[index] = '';
						
						// widgetAPI.putInnerHTML(document.getElementById("title"), this.sName[Main.index]);
						// widgetAPI.putInnerHTML(document.getElementById("bloc" + index), "<img class='blockImage' id='imgst" + index +  "';  src='" + this.ImgDickr[index] + "' />"+quality);
						// document.getElementById("imgst" + Main.index).style.borderColor = "#FF6600"; // активная строка
					
					// }else{
						// this.UrlSt[index] = '';
						// this.sName[index] = '';
						// this.pDes[index] = '';
						// widgetAPI.putInnerHTML(document.getElementById("bloc" + index), "");
					// }
				// }
			}
		}else if (Main.playlist == 1) { 
			var id;
			
			var obj = new Object();
			obj.names = new Array();
			obj.urls = new Array();
			obj.isFolders = new Array();
			obj.currIdx = 1;
			
			var arr = sOut.split('<li class="folder">');
			for (var i in arr) {
//				var myRe = /\<a .* name=\"fl\d+\" class=\"link-\w+\s?(\S*)?\s?title" rel="{parent_id: '?(\d+)'?}">(\n\s*)?(.+)\<\/a\>/igm;
				myRe = new RegExp("\<a .* name=\"fl\\d+\" class=\"link-\\w+\\s?(\\S*)?\\s?title\" rel=\"{parent_id: '?(\\d+)'?}\"(\\sstyle=\".*\")?\>(\\n\\s*)?(.+)\<\/a\>","igm");
				if (id = myRe.exec(arr[i])){
				
//						id[1] - ikonka lang
//						id[2] - id
//						id[5] - Perevod name

//					myRe = /\<a href=\"\/(.*)\" class=\"folder-filelist\">.*\<\/a\>/igm;
//					var fl = myRe.exec(arr[i]);
//						fl[1] - file list url						
					
					myRe = new RegExp("\<span class=\"material-size\"\>(.*)\<\/span\>\\n.*\<span class=\"material-size\"\>(.*)\<\/span\>","igm");
					var ms = myRe.exec(arr[i]);
					if (!ms){
						myRe = new RegExp("\<span class=\"material-size\"\>(.*)\<\/span\>","igm");
						ms = myRe.exec(arr[i]);
					}
					myRe = new RegExp("\<span class=\"material-details\"\>(.*)\<\/span\>","igm");
					var md = myRe.exec(arr[i]);
					
					var name = '<div class="link-subtype';
					if (id[1]){ name+=' '+id[1]+'">'; }else{ name+='">'; }
					if (id[5]){ name+='<span class="voice">'+id[5]+'</span>'; }
//					if (id[1]){ name+='<span class="voice">'+id[5]+'</span>'; }
//					else{ name+=id[5]; } }
					name+='&nbsp;&nbsp;';
					if (ms){
						if(ms[2]){ 
							if(ms[1]){ name+=ms[1]; }
							name+='&nbsp;&nbsp;&nbsp;('+ms[2]; 
						}else{ name+='&nbsp;&nbsp;&nbsp;('+ms[1]; }
					}
					if(md[1]){ name+=' - '+md[1]; }
					name+=')</div>';
					var url;
/*					var isFolder = false;
					if (fl){ 
						url=Main.prefixURL + fl[1];
					}else{ 
						url=this.xmlHTTP.url + '&folder='+id[2]; 
						isFolder = true;
					}
*/

					url=this.xmlHTTP.url + '&folder='+id[2]; 
					
					obj.names[obj.names.length] = name;
					obj.urls[obj.urls.length] = url;
//					obj.isFolders[obj.isFolders.length] = isFolder;
//					alert(isFolder+' - '+url);
										
					index++;
					$("#list2").append('<div id="str'+index+'">'+name+'</div>');
					//widgetAPI.putInnerHTML(document.getElementById("str" + index), name);
					//this.edit_fold = true;
				}

			}
			if (Main.isLogin && Main.MATERIALL == 1){
				// Папка FTP файлы
				//alert(this.edit_fold);
				//if (this.edit_fold) {
					//alert ('this.xmlHTTP.url '+this.xmlHTTP.url)
					myRe = new RegExp(".*\/(.*)?ajax&folder=(.*)","igm"); // 1 - id материала, 2 - уровень папки
					url = myRe.exec(this.xmlHTTP.url);
					if (url){
						if (url[2] == 0){ //Проверяем если в ссылке на материал (http:.......?ajax&folder=0) folder=0 то папку показываем.
							url = Main.prefixURL+'/materials/edit/'+url[1] + 'win=files';
							Main.playlist = 1;
							URLtoXML.getEditVerURL(url, obj);
						}
					}
				//}
				
				try {
					//alert ('sOut '+sOut);
					var newArr = jQuery.parseJSON(sOut);
					$.each( newArr, function(i, item) {
						if (item.type == 'folder'){
							index++;
							obj.names[obj.names.length] = item.name;
							obj.urls[obj.urls.length] = Main.prefixURL + '/jsfilemanager.aspx?f=files_list&item_id=' + URLtoXML.editId + '&id=' + item.id + '&u=' + URLtoXML.userId;
							//alert (obj.urls[obj.urls.length]);
							//alert ('item.name '+item.name);
							$("#list2").append('<div id="str'+index+'">'+item.name+' '+item.meta2+'</div>');
						}
					})
						
					$.each( newArr.folders, function(i, item) {
						 if (item.level == '1'){
							 index++;
							 obj.names[obj.names.length] = item.title;
							obj.urls[obj.urls.length] = Main.prefixURL + '/jsfilemanager.aspx?f=files_list&item_id=' + URLtoXML.editId + '&id=' + item.id + '&u=' + URLtoXML.userId;
							//alert ('url '+Main.prefixURL + '/jsfilemanager.aspx?f=files_list&item_id=' + URLtoXML.editId + '&id=' + item.id + '&u=' + URLtoXML.userId);
							//alert ('item.name '+item.title);
							$("#list2").append('<div id="str'+index+'">'+item.title+' ('+item.fsize+' - '+item.flcount+')</div>');
						 }
					})
				} catch(e) {
					//alert ('No JSON');
				}
			}
			if(URLtoXML.edit_fold == false) {
				if (obj.urls.length>0){
					this.folders[this.folders.length] = obj;
				}else{
					Main.playlist = 2;
					Info.load();
				}
				Main.handleActiv();
			}
		}
		
		if (Main.playlist == 2) {
			this.pName = [];
			this.pUrlSt = [];
			this.WpUrlSt = [];
			this.selectedCatalog = '';
			
			//Проверка на материал
			myRe = new RegExp("\<li class=\"b-file-new m-file-new_type_(.*)\">","igm");
			t_sres = myRe.exec(sOut)
			if (t_sres){
					//alert ('t_sres: '+t_sres[1]);
				if (t_sres[1] =='video'){
					Main.MATERIALL = 1;
				} else if (t_sres[1] =='audio'){
					Main.MATERIALL = 2;
				}
			}	
			myRe = new RegExp("\"\>([\\s\\S]{2,400})href=\"(.*\/(.*\\.(.*)))\" class=","igm");
			while (sres = myRe.exec(sOut)) {
				//alert (sres[0]);
				//alert ("web: "+sres[1]);
				//alert ("full: "+sres[2]);
				//alert (sres[3]);
				//alert (sres[4]);
				if(this.arrVideoExt.indexOf(sres[4].toLowerCase())>-1){
					index++;
					this.pName[index] = decodeURIComponent(sres[3].replace(new RegExp("\\+","g"),  " "));
					this.pUrlSt[index] = Main.prefixURL + sres[2];
					webmyRe = new RegExp("<a href=\"(.*)\" class=\"b-file-new__link-material","igm");			
					while (web = webmyRe.exec(sres[1])) {
						this.WpUrlSt[index] = Main.prefixURL + web[1];
						alert ("web link: "+this.WpUrlSt[index]);
					}					
					$("#list2").append('<div id="str'+index+'">'+this.pName[index]+'</div>');
					//widgetAPI.putInnerHTML(document.getElementById("str" + index), this.pName[index]);
				}
			}
			if (Main.isLogin && Main.MATERIALL == 1){
				try {
					var newArr = jQuery.parseJSON(sOut);
					$.each( newArr, function(i, item) {
						index++;
						URLtoXML.pName[index] = item.filename;
						URLtoXML.pUrlSt[index] = Main.prefixURL + item.link;
						$("#list2").append('<div id="str'+index+'">'+URLtoXML.pName[index]+'</div>');
						})
				} catch(e) {}
			}
			
			Main.handleActiv();
			
			// Диалоговое окно "Продолжить с последнего открытого файла"
			this.selectedCatalog = this.xmlHTTP.url;
			for(var i = 0; i < Player.data['lastPlayed'].length; i++) {
				if (Player.data['lastPlayed'][i].cat==this.xmlHTTP.url) {
					Player.lastPlayedUrl = Player.data['lastPlayed'][i].url;
					Display.showLastPlayed();
				}
			}
		}
	}

};

/*
// поиск значения на странице и вычленение его
URLtoXML.FindVal = function(sOut, nBeg, keyBVal, keyEVal) {
	var nEnd, sRes;

	sRes = sOut.toLowerCase();// приводим к нижнему регистру
	nBeg = sRes.indexOf(keyBVal.toLowerCase(), nBeg);// ищем первый ключ

	if (nBeg >= 0) {// если значение найдено

		nBeg = nBeg + keyBVal.length;// передвигаем начало поиска на след.
		// символ за первичным ключом
		// ищем вторичный ключ
		nEnd = sRes.indexOf(keyEVal.toLowerCase(), nBeg);
		this.nStart = nEnd + keyEVal.length;// если не нашли окончание значения
		// - становимся в конец строки +1
		// символ

		sRes = sOut.substring(nBeg, nEnd); // вычленяем значение
	} else {
		sRes = "";// не найден первичный ключ
		this.nStart = nBeg;// конец поиска - маска не найдена
	}
	return sRes;
};
*/
// удаление "мусора" из строки
URLtoXML.DelTrash = function(str) {
	// заменяем мусор на пробелы
	str = str.replace(new RegExp("&nbsp;", 'gim'), " ");
	str = str.replace(new RegExp("&mdash;", 'gim'), " ");
	str = str.replace(new RegExp("\t", 'gim'), " "); // табуляция
	str = str.replace(new RegExp("\n", 'gim'), " "); // конец строки
	str = str.replace(new RegExp("\r", 'gim'), " "); // перевод каретки

	// заменяем все "длинные" пробелы на один
	while (str.indexOf("  ") >= 0) {
		str = str.replace(new RegExp("  ", 'gim'), " ");
	}
	return URLtoXML.trim(str);
};

//удаление исключенных слов из результата
URLtoXML.DelWords = function(sVal){
var wrd, sRes;

    sRes = sVal;
    //удаляем из входной строки все встречающиеся в массиве исключений слова
    for (var i in this.arrDelWords){
       //слово из массива
       wrd = this.arrDelWords[i];
       sRes = sRes.replace(new RegExp(wrd, 'gim'), "");
    }
    
    //возвращаем результат
    return sRes;
};
/*
//замена слов в результате по массиву замен
URLtoXML.ReplWords = function(sVal, arrRepl){
var wrd, sRes;

    sRes = sVal;
    //идем по внешнему массиву и выдергиваем слова поиска
    for (var i in arrRepl){
       //искомое слово из массива - первый элемент массива
       wrd = arrRepl[i][0];
       //заменяем в выходной строке искомое слово на нужный вариант из справочника - второй элемент массива
       sRes = sRes.replace(new RegExp(wrd, 'gim'), arrRepl[i][1]);
    }
    
    //возвращаем результат
    return sRes;
};
*/
// удаляемa пробелы в конце и в начале
URLtoXML.trim = function(str) {
	while (str.charAt(str.length - 1) == " ") {
		str = str.substring(0, str.length - 1);
	}
	while (str.charAt(0) == " ") {
		str = str.substring(1);
	}
	return str;
};